// Reconfigurable Module: recon_block_count
// rotate the button LEDs Clock Wise
// led_out[3:0] are embedded in this module, i.e. OBUF instantiated

module recon_block_count ( 
	rst_n, 
	clk, 
	led_out);

   input rst_n;                // Active high reset
   input clk;                  // 100MHz input clock
   output [3:0] led_out;       // Output to LEDs

   reg [24:0] count;
   reg [3:0]  data_out;

   OBUF OBUF_inst_led_out_3 (led_out[3], data_out[3]);  //(output, input)
   OBUF OBUF_inst_led_out_2 (led_out[2], data_out[2]);  //(output, input)
   OBUF OBUF_inst_led_out_1 (led_out[1], data_out[1]);  //(output, input)
   OBUF OBUF_inst_led_out_0 (led_out[0], data_out[0]);  //(output, input)

   always @(posedge clk)
     if (rst_n)
       begin
         count <= 0;
       end
     else
       begin
         count <= count + 1;
       end


   always @(posedge count[24])
     if (rst_n)
       data_out <= 4'b0001;
     else
       begin
         case (data_out)
           4'b0001: data_out <= 4'b0010;
           4'b0010: data_out <= 4'b0100;
           4'b0100: data_out <= 4'b1000;
           4'b1000: data_out <= 4'b0001;
           default: data_out <= 4'b0001;
         endcase
       end
   
endmodule
