`timescale 1ns / 1ps
module icap(clkin, clkout, rst, icap_go, wr_en, datain, bitstreamlength, done, RP_enable, RP_reset);
    input clkin;
    input clkout;
    input rst;
	 input icap_go;
	 input wr_en;
    input [31:0] datain;
	 input [31:0] bitstreamlength; 
    output done;
	 output RP_enable;
    output RP_reset;

wire [31:0] dataout;
wire RP_enable;
wire rd_en;
wire empty;

  wire ICAP_CE;


icap_top ICT (
	.clk(clkout), 
	.rst(rst), 
	.icap_go(icap_go), 
	.empty(empty),
	.data(dataout), 
	.bitstreamlength(bitstreamlength), 
	.ICAP_CE(ICAP_CE),
	.rd_en(rd_en), 
	.reconfig_done(done), 
	.RP_reset(RP_reset),
	.RP_enable(RP_enable)
	);

fifo_mem F1 (
    .rst(rst),
    .din(datain), // Bus [31 : 0] 
    .wr_clk(clkin),
    .wr_en(wr_en),
    .rd_clk(clkout),
    .rd_en(rd_en),
    .dout(dataout), // Bus [31 : 0] 
    .empty(empty),
    .full(full)
	 );

endmodule

