`timescale 1ns / 1ps
// Module Name:    ICAP_proc 
//
//////////////////////////////////////////////////////////////////////////////////
module icap_proc(clk, rst, pkt_go, empty, bitstreamlength, rd_en, ICAP_CE, ICAP_WE, bitstream_done, RP_enable, RP_reset);
    input clk;
    input rst;
    input pkt_go;
	 input empty;
    input [31:0] bitstreamlength;
	 output rd_en;
    output ICAP_CE;
    output ICAP_WE;
    output bitstream_done;
    output RP_enable;
    output RP_reset;

wire [31:0] cnt;
wire bitstream_done_i;
wire inc_cnt;
reg bitstream_done;

assign data_avail = ~empty;
assign bitstream_done_i = (bitstreamlength[31:2] == cnt); 

always @ (posedge clk)
begin
	if(rst)
		bitstream_done <= 0;
	else
		bitstream_done <= bitstream_done_i;
end

icap_fsm F1(
	.clk(clk), 
	.rst(rst), 
	.pkt_go(pkt_go), 
	.data_avail(data_avail), 
	.bitstream_done(bitstream_done), 
	.rd_en(rd_en),
	.inc_cnt(inc_cnt), 
	.RP_enable(RP_enable), 
	.RP_reset(RP_reset), 
	.ICAP_CE(ICAP_CE), 
	.ICAP_WE(ICAP_WE) 
	);

upcounter U1(
	.clk(clk), 
	.rst(rst | bitstream_done), 
	.cnt_en(inc_cnt), 
	.cnt_out(cnt)
	);

endmodule


