
library IEEE;
use IEEE.std_logic_1164.all;
use ieee.numeric_std.all;

entity icap_processor is
  port (
    clk      : in  std_logic;
    icapclk  : in std_logic;
    Rst      : in  std_logic;
    icap_go  : in  std_logic;
    we_en    : in  std_logic;
    data   : in  std_logic_vector(31 downto 0);
    bitstreamlength   : in  std_logic_vector(31 downto 0);

    reconfig_done : out std_logic;
    RP_reset : out std_logic;
    RP_enable : out std_logic

    );
end entity icap_processor ;

--library unisim;
--use unisim.all;

architecture IMP of icap_processor is

  component icap is
  port (
    clkin     : in  std_logic;
    clkout     : in  std_logic;
    rst     : in  std_logic;
    icap_go : in  std_logic;
    wr_en : in  std_logic;
    datain : in  std_logic_vector(31 downto 0);
    bitstreamlength : in  std_logic_vector(31 downto 0);
    done : out  std_logic;
	 RP_reset : out std_logic;
    RP_enable   : out std_logic);
  end component;

signal rst_n : std_logic;

begin

-- rst_n <= not rst;  -- icap processor requires positive logic reset

  icap_inst : icap
    port map (
        clkin       => clk,
        clkout      => icapclk,
        rst         => rst, -- rst_n,
        icap_go  => icap_go,
        wr_en  => we_en,
        datain => data,
	  bitstreamlength => bitstreamlength,
        done => reconfig_done,
		  RP_reset => RP_reset,
        RP_enable   => RP_enable);
		  
end architecture IMP;
